## org.eclipse.jst.jsf.facesconfig.edit.provider
Class FacesConfigItemProviderAdapterFactory

    java.lang.Object
      AdapterFactoryImpl
          org.eclipse.jst.jsf.facesconfig.emf.util.FacesConfigAdapterFactory
              org.eclipse.jst.jsf.facesconfig.edit.provider.FacesConfigItemProviderAdapterFactory

    public class FacesConfigItemProviderAdapterFactory

extends FacesConfigAdapterFactory

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Field Summary
`static java.lang.String` `copyright`

Constructor Summary
`FacesConfigItemProviderAdapterFactory()` This constructs an instance

Method Summary
`Adapter` `adapt(Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter
`void` `addListener(INotifyChangedListener notifyChangedListener)` This adds a listener
`Adapter` `createAbsoluteOrderingTypeAdapter()` This creates an adapter for a `AbsoluteOrderingType`
`Adapter` `createActionListenerTypeAdapter()` This creates an adapter for a `ActionListenerType`
`Adapter` `createApplicationExtensionTypeAdapter()` This creates an adapter for a `ApplicationExtensionType`
`Adapter` `createApplicationFactoryTypeAdapter()` This creates an adapter for a `ApplicationFactoryType`
`Adapter` `createApplicationTypeAdapter()` This creates an adapter for a `ApplicationType`
`Adapter` `createAttributeClassTypeAdapter()` This creates an adapter for a `AttributeClassType`
`Adapter` `createAttributeExtensionTypeAdapter()` This creates an adapter for a `AttributeExtensionType`
`Adapter` `createAttributeNameTypeAdapter()` This creates an adapter for a `AttributeNameType`
`Adapter` `createAttributeTypeAdapter()` This creates an adapter for a `AttributeType`
`Adapter` `createBaseNameTypeAdapter()` This creates an adapter for a `BaseNameType`
`Adapter` `createBehaviorClassTypeAdapter()` This creates an adapter for a `BehaviorClassType`
`Adapter` `createBehaviorExtensionTypeAdapter()` This creates an adapter for a `BehaviorExtensionType`
`Adapter` `createBehaviorIdTypeAdapter()` This creates an adapter for a `BehaviorIdType`
`Adapter` `createBehaviorTypeAdapter()` This creates an adapter for a `BehaviorType`
`Adapter` `createClientBehaviorRendererClassTypeAdapter()` This creates an adapter for a `ClientBehaviorRendererClassType`
`Adapter` `createClientBehaviorRendererTypeAdapter()` This creates an adapter for a `ClientBehaviorRendererType`
`Adapter` `createClientBehaviorRendererTypeTypeAdapter()` This creates an adapter for a `ClientBehaviorRendererTypeType`
`Adapter` `createComponentClassTypeAdapter()` This creates an adapter for a `ComponentClassType`
`Adapter` `createComponentExtensionTypeAdapter()` This creates an adapter for a `ComponentExtensionType`
`Adapter` `createComponentFamilyTypeAdapter()` This creates an adapter for a `ComponentFamilyType`
`Adapter` `createComponentTypeAdapter()` This creates an adapter for a `ComponentType`
`Adapter` `createComponentTypeTypeAdapter()` This creates an adapter for a `ComponentTypeType`
`Adapter` `createConverterClassTypeAdapter()` This creates an adapter for a `ConverterClassType`
`Adapter` `createConverterExtensionTypeAdapter()` This creates an adapter for a `ConverterExtensionType`
`Adapter` `createConverterForClassTypeAdapter()` This creates an adapter for a `ConverterForClassType`
`Adapter` `createConverterIdTypeAdapter()` This creates an adapter for a `ConverterIdType`
`Adapter` `createConverterTypeAdapter()` This creates an adapter for a `ConverterType`
`Adapter` `createDefaultLocaleTypeAdapter()` This creates an adapter for a `DefaultLocaleType`
`Adapter` `createDefaultRenderKitIdTypeAdapter()` This creates an adapter for a `DefaultRenderKitIdType`
`Adapter` `createDefaultValidatorsTypeAdapter()` This creates an adapter for a `DefaultValidatorsType`
`Adapter` `createDefaultValueTypeAdapter()` This creates an adapter for a `DefaultValueType`
`Adapter` `createDescriptionTypeAdapter()` This creates an adapter for a `DescriptionType`
`Adapter` `createDisplayNameTypeAdapter()` This creates an adapter for a `DisplayNameType`
`Adapter` `createDocumentRootAdapter()` This creates an adapter for a `DocumentRoot`
`Adapter` `createDynamicAttributeAdapter()` This creates an adapter for a `DynamicAttribute`
`Adapter` `createDynamicElementAdapter()` This creates an adapter for a `DynamicElement`
`Adapter` `createELResolverTypeAdapter()` This creates an adapter for a `ELResolverType`
`Adapter` `createExceptionHandlerFactoryTypeAdapter()` This creates an adapter for a `ExceptionHandlerFactoryType`
`Adapter` `createExternalContextFactoryTypeAdapter()` This creates an adapter for a `ExternalContextFactoryType`
`Adapter` `createFacesConfigExtensionTypeAdapter()` This creates an adapter for a `FacesConfigExtensionType`
`Adapter` `createFacesConfigTypeAdapter()` This creates an adapter for a `FacesConfigType`
`Adapter` `createFacesContextFactoryTypeAdapter()` This creates an adapter for a `FacesContextFactoryType`
`Adapter` `createFacetExtensionTypeAdapter()` This creates an adapter for a `FacetExtensionType`
`Adapter` `createFacetNameTypeAdapter()` This creates an adapter for a `FacetNameType`
`Adapter` `createFacetTypeAdapter()` This creates an adapter for a `FacetType`
`Adapter` `createFactoryExtensionTypeAdapter()` This creates an adapter for a `FactoryExtensionType`
`Adapter` `createFactoryTypeAdapter()` This creates an adapter for a `FactoryType`
`Adapter` `createFromActionTypeAdapter()` This creates an adapter for a `FromActionType`
`Adapter` `createFromOutcomeTypeAdapter()` This creates an adapter for a `FromOutcomeType`
`Adapter` `createFromViewIdTypeAdapter()` This creates an adapter for a `FromViewIdType`
`Adapter` `createIconTypeAdapter()` This creates an adapter for a `IconType`
`Adapter` `createIfTypeAdapter()` This creates an adapter for a `IfType`
`Adapter` `createKeyClassTypeAdapter()` This creates an adapter for a `KeyClassType`
`Adapter` `createKeyTypeAdapter()` This creates an adapter for a `KeyType`
`Adapter` `createLargeIconTypeAdapter()` This creates an adapter for a `LargeIconType`
`Adapter` `createLifecycleExtensionTypeAdapter()` This creates an adapter for a `LifecycleExtensionType`
`Adapter` `createLifecycleFactoryTypeAdapter()` This creates an adapter for a `LifecycleFactoryType`
`Adapter` `createLifecycleTypeAdapter()` This creates an adapter for a `LifecycleType`
`Adapter` `createListEntriesTypeAdapter()` This creates an adapter for a `ListEntriesType`
`Adapter` `createLocaleConfigTypeAdapter()` This creates an adapter for a `LocaleConfigType`
`Adapter` `createManagedBeanClassTypeAdapter()` This creates an adapter for a `ManagedBeanClassType`
`Adapter` `createManagedBeanExtensionTypeAdapter()` This creates an adapter for a `ManagedBeanExtensionType`
`Adapter` `createManagedBeanNameTypeAdapter()` This creates an adapter for a `ManagedBeanNameType`
`Adapter` `createManagedBeanScopeTypeAdapter()` This creates an adapter for a `ManagedBeanScopeType`
`Adapter` `createManagedBeanTypeAdapter()` This creates an adapter for a `ManagedBeanType`
`Adapter` `createManagedPropertyTypeAdapter()` This creates an adapter for a `ManagedPropertyType`
`Adapter` `createMapEntriesTypeAdapter()` This creates an adapter for a `MapEntriesType`
`Adapter` `createMapEntryTypeAdapter()` This creates an adapter for a `MapEntryType`
`Adapter` `createMessageBundleTypeAdapter()` This creates an adapter for a `MessageBundleType`
`Adapter` `createNameTypeAdapter()` This creates an adapter for a `NameType`
`Adapter` `createNavigationCaseTypeAdapter()` This creates an adapter for a `NavigationCaseType`
`Adapter` `createNavigationHandlerTypeAdapter()` This creates an adapter for a `NavigationHandlerType`
`Adapter` `createNavigationRuleExtensionTypeAdapter()` This creates an adapter for a `NavigationRuleExtensionType`
`Adapter` `createNavigationRuleTypeAdapter()` This creates an adapter for a `NavigationRuleType`
`Adapter` `createNullValueTypeAdapter()` This creates an adapter for a `NullValueType`
`Adapter` `createOrderingOrderingTypeAdapter()` This creates an adapter for a `OrderingOrderingType`
`Adapter` `createOrderingOthersTypeAdapter()` This creates an adapter for a `OrderingOthersType`
`Adapter` `createOrderingTypeAdapter()` This creates an adapter for a `OrderingType`
`Adapter` `createPartialViewContextFactoryTypeAdapter()` This creates an adapter for a `PartialViewContextFactoryType`
`Adapter` `createPhaseListenerTypeAdapter()` This creates an adapter for a `PhaseListenerType`
`Adapter` `createPropertyClassTypeAdapter()` This creates an adapter for a `PropertyClassType`
`Adapter` `createPropertyExtensionTypeAdapter()` This creates an adapter for a `PropertyExtensionType`
`Adapter` `createPropertyNameTypeAdapter()` This creates an adapter for a `PropertyNameType`
`Adapter` `createPropertyResolverTypeAdapter()` This creates an adapter for a `PropertyResolverType`
`Adapter` `createPropertyTypeAdapter()` This creates an adapter for a `PropertyType`
`Adapter` `createRedirectTypeAdapter()` This creates an adapter for a `RedirectType`
`Adapter` `createRedirectViewParamTypeAdapter()` This creates an adapter for a `RedirectViewParamType`
`Adapter` `createReferencedBeanClassTypeAdapter()` This creates an adapter for a `ReferencedBeanClassType`
`Adapter` `createReferencedBeanNameTypeAdapter()` This creates an adapter for a `ReferencedBeanNameType`
`Adapter` `createReferencedBeanTypeAdapter()` This creates an adapter for a `ReferencedBeanType`
`Adapter` `createRendererClassTypeAdapter()` This creates an adapter for a `RendererClassType`
`Adapter` `createRendererExtensionTypeAdapter()` This creates an adapter for a `RendererExtensionType`
`Adapter` `createRendererTypeAdapter()` This creates an adapter for a `RendererType`
`Adapter` `createRendererTypeTypeAdapter()` This creates an adapter for a `RendererTypeType`
`Adapter` `createRenderKitClassTypeAdapter()` This creates an adapter for a `RenderKitClassType`
`Adapter` `createRenderKitExtensionTypeAdapter()` This creates an adapter for a `RenderKitExtensionType`
`Adapter` `createRenderKitFactoryTypeAdapter()` This creates an adapter for a `RenderKitFactoryType`
`Adapter` `createRenderKitIdTypeAdapter()` This creates an adapter for a `RenderKitIdType`
`Adapter` `createRenderKitTypeAdapter()` This creates an adapter for a `RenderKitType`
`Adapter` `createResourceBundleTypeAdapter()` This creates an adapter for a `ResourceBundleType`
`Adapter` `createResourceHandlerTypeAdapter()` This creates an adapter for a `ResourceHandlerType`
`Adapter` `createSmallIconTypeAdapter()` This creates an adapter for a `SmallIconType`
`Adapter` `createSourceClassTypeAdapter()` This creates an adapter for a `SourceClassType`
`Adapter` `createStateManagerTypeAdapter()` This creates an adapter for a `StateManagerType`
`Adapter` `createSuggestedValueTypeAdapter()` This creates an adapter for a `SuggestedValueType`
`Adapter` `createSupportedLocaleTypeAdapter()` This creates an adapter for a `SupportedLocaleType`
`Adapter` `createSystemEventClassTypeAdapter()` This creates an adapter for a `SystemEventClassType`
`Adapter` `createSystemEventListenerClassTypeAdapter()` This creates an adapter for a `SystemEventListenerClassType`
`Adapter` `createSystemEventListenerTypeAdapter()` This creates an adapter for a `SystemEventListenerType`
`Adapter` `createTagHandlerDelegateFactoryTypeAdapter()` This creates an adapter for a `TagHandlerDelegateFactoryType`
`Adapter` `createToViewIdTypeAdapter()` This creates an adapter for a `ToViewIdType`
`Adapter` `createValidatorClassTypeAdapter()` This creates an adapter for a `ValidatorClassType`
`Adapter` `createValidatorExtensionTypeAdapter()` This creates an adapter for a `ValidatorExtensionType`
`Adapter` `createValidatorIdTypeAdapter()` This creates an adapter for a `ValidatorIdType`
`Adapter` `createValidatorTypeAdapter()` This creates an adapter for a `ValidatorType`
`Adapter` `createValueClassTypeAdapter()` This creates an adapter for a `ValueClassType`
`Adapter` `createValueTypeAdapter()` This creates an adapter for a `ValueType`
`Adapter` `createVariableResolverTypeAdapter()` This creates an adapter for a `VariableResolverType`
`Adapter` `createVarTypeAdapter()` This creates an adapter for a `VarType`
`Adapter` `createViewDeclarationLanguageFactoryTypeAdapter()` This creates an adapter for a `ViewDeclarationLanguageFactoryType`
`Adapter` `createViewHandlerTypeAdapter()` This creates an adapter for a `ViewHandlerType`
`Adapter` `createVisitContextFactoryTypeAdapter()` This creates an adapter for a `VisitContextFactoryType`
`void` `dispose()` This disposes all of the item providers created by this factory
`void` `fireNotifyChanged(Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`
`ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(INotifyChangedListener notifyChangedListener)` This removes a listener
`void` `setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory

Methods inherited from class org.eclipse.jst.jsf.facesconfig.emf.util.FacesConfigAdapterFactory
`createAdapter, createEObjectAdapter, createExtensionTypeAdapter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Constructor Detail

### FacesConfigItemProviderAdapterFactory

    public FacesConfigItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createAbsoluteOrderingTypeAdapter

    public Adapter createAbsoluteOrderingTypeAdapter()

  This creates an adapter for a `AbsoluteOrderingType`.

  Overrides:
    `createAbsoluteOrderingTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AbsoluteOrderingType`

### createActionListenerTypeAdapter

    public Adapter createActionListenerTypeAdapter()

  This creates an adapter for a `ActionListenerType`.

  Overrides:
    `createActionListenerTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ActionListenerType`

### createApplicationFactoryTypeAdapter

    public Adapter createApplicationFactoryTypeAdapter()

  This creates an adapter for a `ApplicationFactoryType`.

  Overrides:
    `createApplicationFactoryTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ApplicationFactoryType`

### createApplicationTypeAdapter

    public Adapter createApplicationTypeAdapter()

  This creates an adapter for a `ApplicationType`.

  Overrides:
    `createApplicationTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ApplicationType`

### createAttributeClassTypeAdapter

    public Adapter createAttributeClassTypeAdapter()

  This creates an adapter for a `AttributeClassType`.

  Overrides:
    `createAttributeClassTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AttributeClassType`

### createAttributeExtensionTypeAdapter

    public Adapter createAttributeExtensionTypeAdapter()

  This creates an adapter for a `AttributeExtensionType`.

  Overrides:
    `createAttributeExtensionTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AttributeExtensionType`

### createAttributeNameTypeAdapter

    public Adapter createAttributeNameTypeAdapter()

  This creates an adapter for a `AttributeNameType`.

  Overrides:
    `createAttributeNameTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AttributeNameType`

### createAttributeTypeAdapter

    public Adapter createAttributeTypeAdapter()

  This creates an adapter for a `AttributeType`.

  Overrides:
    `createAttributeTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AttributeType`

### createBehaviorClassTypeAdapter

    public Adapter createBehaviorClassTypeAdapter()

  This creates an adapter for a `BehaviorClassType`.

  Overrides:
    `createBehaviorClassTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `BehaviorClassType`

### createBehaviorIdTypeAdapter

    public Adapter createBehaviorIdTypeAdapter()

  This creates an adapter for a `BehaviorIdType`.

  Overrides:
    `createBehaviorIdTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `BehaviorIdType`

### createBehaviorTypeAdapter

    public Adapter createBehaviorTypeAdapter()

  This creates an adapter for a `BehaviorType`.

  Overrides:
    `createBehaviorTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `BehaviorType`

### createBehaviorExtensionTypeAdapter

    public Adapter createBehaviorExtensionTypeAdapter()

  This creates an adapter for a `BehaviorExtensionType`.

  Overrides:
    `createBehaviorExtensionTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `BehaviorExtensionType`

### createClientBehaviorRendererClassTypeAdapter

    public Adapter createClientBehaviorRendererClassTypeAdapter()

  This creates an adapter for a `ClientBehaviorRendererClassType`.

  Overrides:
    `createClientBehaviorRendererClassTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ClientBehaviorRendererClassType`

### createClientBehaviorRendererTypeAdapter

    public Adapter createClientBehaviorRendererTypeAdapter()

  This creates an adapter for a `ClientBehaviorRendererType`.

  Overrides:
    `createClientBehaviorRendererTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ClientBehaviorRendererType`

### createClientBehaviorRendererTypeTypeAdapter

    public Adapter createClientBehaviorRendererTypeTypeAdapter()

  This creates an adapter for a `ClientBehaviorRendererTypeType`.

  Overrides:
    `createClientBehaviorRendererTypeTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ClientBehaviorRendererTypeType`

### createComponentClassTypeAdapter

    public Adapter createComponentClassTypeAdapter()

  This creates an adapter for a `ComponentClassType`.

  Overrides:
    `createComponentClassTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ComponentClassType`

### createComponentExtensionTypeAdapter

    public Adapter createComponentExtensionTypeAdapter()

  This creates an adapter for a `ComponentExtensionType`.

  Overrides:
    `createComponentExtensionTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ComponentExtensionType`

### createComponentFamilyTypeAdapter

    public Adapter createComponentFamilyTypeAdapter()

  This creates an adapter for a `ComponentFamilyType`.

  Overrides:
    `createComponentFamilyTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ComponentFamilyType`

### createComponentTypeAdapter

    public Adapter createComponentTypeAdapter()

  This creates an adapter for a `ComponentType`.

  Overrides:
    `createComponentTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ComponentType`

### createComponentTypeTypeAdapter

    public Adapter createComponentTypeTypeAdapter()

  This creates an adapter for a `ComponentTypeType`.

  Overrides:
    `createComponentTypeTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ComponentTypeType`

### createConverterClassTypeAdapter

    public Adapter createConverterClassTypeAdapter()

  This creates an adapter for a `ConverterClassType`.

  Overrides:
    `createConverterClassTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ConverterClassType`

### createConverterForClassTypeAdapter

    public Adapter createConverterForClassTypeAdapter()

  This creates an adapter for a `ConverterForClassType`.

  Overrides:
    `createConverterForClassTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ConverterForClassType`

### createConverterIdTypeAdapter

    public Adapter createConverterIdTypeAdapter()

  This creates an adapter for a `ConverterIdType`.

  Overrides:
    `createConverterIdTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ConverterIdType`

### createConverterTypeAdapter

    public Adapter createConverterTypeAdapter()

  This creates an adapter for a `ConverterType`.

  Overrides:
    `createConverterTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ConverterType`

### createDefaultLocaleTypeAdapter

    public Adapter createDefaultLocaleTypeAdapter()

  This creates an adapter for a `DefaultLocaleType`.

  Overrides:
    `createDefaultLocaleTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DefaultLocaleType`

### createDefaultRenderKitIdTypeAdapter

    public Adapter createDefaultRenderKitIdTypeAdapter()

  This creates an adapter for a `DefaultRenderKitIdType`.

  Overrides:
    `createDefaultRenderKitIdTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DefaultRenderKitIdType`

### createDefaultValidatorsTypeAdapter

    public Adapter createDefaultValidatorsTypeAdapter()

  This creates an adapter for a `DefaultValidatorsType`.

  Overrides:
    `createDefaultValidatorsTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DefaultValidatorsType`

### createDefaultValueTypeAdapter

    public Adapter createDefaultValueTypeAdapter()

  This creates an adapter for a `DefaultValueType`.

  Overrides:
    `createDefaultValueTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DefaultValueType`

### createDescriptionTypeAdapter

    public Adapter createDescriptionTypeAdapter()

  This creates an adapter for a `DescriptionType`.

  Overrides:
    `createDescriptionTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DescriptionType`

### createDisplayNameTypeAdapter

    public Adapter createDisplayNameTypeAdapter()

  This creates an adapter for a `DisplayNameType`.

  Overrides:
    `createDisplayNameTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DisplayNameType`

### createDocumentRootAdapter

    public Adapter createDocumentRootAdapter()

  This creates an adapter for a `DocumentRoot`.

  Overrides:
    `createDocumentRootAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DocumentRoot`

### createDynamicAttributeAdapter

    public Adapter createDynamicAttributeAdapter()

  This creates an adapter for a `DynamicAttribute`.

  Overrides:
    `createDynamicAttributeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DynamicAttribute`

### createDynamicElementAdapter

    public Adapter createDynamicElementAdapter()

  This creates an adapter for a `DynamicElement`.

  Overrides:
    `createDynamicElementAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DynamicElement`

### createELResolverTypeAdapter

    public Adapter createELResolverTypeAdapter()

  This creates an adapter for a `ELResolverType`.

  Overrides:
    `createELResolverTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ELResolverType`

### createExceptionHandlerFactoryTypeAdapter

    public Adapter createExceptionHandlerFactoryTypeAdapter()

  This creates an adapter for a `ExceptionHandlerFactoryType`.

  Overrides:
    `createExceptionHandlerFactoryTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ExceptionHandlerFactoryType`

### createExternalContextFactoryTypeAdapter

    public Adapter createExternalContextFactoryTypeAdapter()

  This creates an adapter for a `ExternalContextFactoryType`.

  Overrides:
    `createExternalContextFactoryTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ExternalContextFactoryType`

### createFacesConfigExtensionTypeAdapter

    public Adapter createFacesConfigExtensionTypeAdapter()

  This creates an adapter for a `FacesConfigExtensionType`.

  Overrides:
    `createFacesConfigExtensionTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FacesConfigExtensionType`

### createFactoryExtensionTypeAdapter

    public Adapter createFactoryExtensionTypeAdapter()

  This creates an adapter for a `FactoryExtensionType`.

  Overrides:
    `createFactoryExtensionTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FactoryExtensionType`

### createLifecycleExtensionTypeAdapter

    public Adapter createLifecycleExtensionTypeAdapter()

  This creates an adapter for a `LifecycleExtensionType`.

  Overrides:
    `createLifecycleExtensionTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LifecycleExtensionType`

### createManagedBeanExtensionTypeAdapter

    public Adapter createManagedBeanExtensionTypeAdapter()

  This creates an adapter for a `ManagedBeanExtensionType`.

  Overrides:
    `createManagedBeanExtensionTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ManagedBeanExtensionType`

### createNavigationRuleExtensionTypeAdapter

    public Adapter createNavigationRuleExtensionTypeAdapter()

  This creates an adapter for a `NavigationRuleExtensionType`.

  Overrides:
    `createNavigationRuleExtensionTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `NavigationRuleExtensionType`

### createValidatorExtensionTypeAdapter

    public Adapter createValidatorExtensionTypeAdapter()

  This creates an adapter for a `ValidatorExtensionType`.

  Overrides:
    `createValidatorExtensionTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValidatorExtensionType`

### createFacesConfigTypeAdapter

    public Adapter createFacesConfigTypeAdapter()

  This creates an adapter for a `FacesConfigType`.

  Overrides:
    `createFacesConfigTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FacesConfigType`

### createFacesContextFactoryTypeAdapter

    public Adapter createFacesContextFactoryTypeAdapter()

  This creates an adapter for a `FacesContextFactoryType`.

  Overrides:
    `createFacesContextFactoryTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FacesContextFactoryType`

### createFacetExtensionTypeAdapter

    public Adapter createFacetExtensionTypeAdapter()

  This creates an adapter for a `FacetExtensionType`.

  Overrides:
    `createFacetExtensionTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FacetExtensionType`

### createFacetNameTypeAdapter

    public Adapter createFacetNameTypeAdapter()

  This creates an adapter for a `FacetNameType`.

  Overrides:
    `createFacetNameTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FacetNameType`

### createFacetTypeAdapter

    public Adapter createFacetTypeAdapter()

  This creates an adapter for a `FacetType`.

  Overrides:
    `createFacetTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FacetType`

### createFactoryTypeAdapter

    public Adapter createFactoryTypeAdapter()

  This creates an adapter for a `FactoryType`.

  Overrides:
    `createFactoryTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FactoryType`

### createFromActionTypeAdapter

    public Adapter createFromActionTypeAdapter()

  This creates an adapter for a `FromActionType`.

  Overrides:
    `createFromActionTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FromActionType`

### createFromOutcomeTypeAdapter

    public Adapter createFromOutcomeTypeAdapter()

  This creates an adapter for a `FromOutcomeType`.

  Overrides:
    `createFromOutcomeTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FromOutcomeType`

### createFromViewIdTypeAdapter

    public Adapter createFromViewIdTypeAdapter()

  This creates an adapter for a `FromViewIdType`.

  Overrides:
    `createFromViewIdTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FromViewIdType`

### createIconTypeAdapter

    public Adapter createIconTypeAdapter()

  This creates an adapter for a `IconType`.

  Overrides:
    `createIconTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `IconType`

### createIfTypeAdapter

    public Adapter createIfTypeAdapter()

  This creates an adapter for a `IfType`.

  Overrides:
    `createIfTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `IfType`

### createKeyClassTypeAdapter

    public Adapter createKeyClassTypeAdapter()

  This creates an adapter for a `KeyClassType`.

  Overrides:
    `createKeyClassTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `KeyClassType`

### createKeyTypeAdapter

    public Adapter createKeyTypeAdapter()

  This creates an adapter for a `KeyType`.

  Overrides:
    `createKeyTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `KeyType`

### createLargeIconTypeAdapter

    public Adapter createLargeIconTypeAdapter()

  This creates an adapter for a `LargeIconType`.

  Overrides:
    `createLargeIconTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LargeIconType`

### createLifecycleFactoryTypeAdapter

    public Adapter createLifecycleFactoryTypeAdapter()

  This creates an adapter for a `LifecycleFactoryType`.

  Overrides:
    `createLifecycleFactoryTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LifecycleFactoryType`

### createLifecycleTypeAdapter

    public Adapter createLifecycleTypeAdapter()

  This creates an adapter for a `LifecycleType`.

  Overrides:
    `createLifecycleTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LifecycleType`

### createListEntriesTypeAdapter

    public Adapter createListEntriesTypeAdapter()

  This creates an adapter for a `ListEntriesType`.

  Overrides:
    `createListEntriesTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ListEntriesType`

### createLocaleConfigTypeAdapter

    public Adapter createLocaleConfigTypeAdapter()

  This creates an adapter for a `LocaleConfigType`.

  Overrides:
    `createLocaleConfigTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LocaleConfigType`

### createManagedBeanClassTypeAdapter

    public Adapter createManagedBeanClassTypeAdapter()

  This creates an adapter for a `ManagedBeanClassType`.

  Overrides:
    `createManagedBeanClassTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ManagedBeanClassType`

### createManagedBeanNameTypeAdapter

    public Adapter createManagedBeanNameTypeAdapter()

  This creates an adapter for a `ManagedBeanNameType`.

  Overrides:
    `createManagedBeanNameTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ManagedBeanNameType`

### createManagedBeanScopeTypeAdapter

    public Adapter createManagedBeanScopeTypeAdapter()

  This creates an adapter for a `ManagedBeanScopeType`.

  Overrides:
    `createManagedBeanScopeTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ManagedBeanScopeType`

### createManagedBeanTypeAdapter

    public Adapter createManagedBeanTypeAdapter()

  This creates an adapter for a `ManagedBeanType`.

  Overrides:
    `createManagedBeanTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ManagedBeanType`

### createManagedPropertyTypeAdapter

    public Adapter createManagedPropertyTypeAdapter()

  This creates an adapter for a `ManagedPropertyType`.

  Overrides:
    `createManagedPropertyTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ManagedPropertyType`

### createMapEntriesTypeAdapter

    public Adapter createMapEntriesTypeAdapter()

  This creates an adapter for a `MapEntriesType`.

  Overrides:
    `createMapEntriesTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `MapEntriesType`

### createMapEntryTypeAdapter

    public Adapter createMapEntryTypeAdapter()

  This creates an adapter for a `MapEntryType`.

  Overrides:
    `createMapEntryTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `MapEntryType`

### createMessageBundleTypeAdapter

    public Adapter createMessageBundleTypeAdapter()

  This creates an adapter for a `MessageBundleType`.

  Overrides:
    `createMessageBundleTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `MessageBundleType`

### createNameTypeAdapter

    public Adapter createNameTypeAdapter()

  This creates an adapter for a `NameType`.

  Overrides:
    `createNameTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `NameType`

### createNavigationCaseTypeAdapter

    public Adapter createNavigationCaseTypeAdapter()

  This creates an adapter for a `NavigationCaseType`.

  Overrides:
    `createNavigationCaseTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `NavigationCaseType`

### createNavigationHandlerTypeAdapter

    public Adapter createNavigationHandlerTypeAdapter()

  This creates an adapter for a `NavigationHandlerType`.

  Overrides:
    `createNavigationHandlerTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `NavigationHandlerType`

### createNavigationRuleTypeAdapter

    public Adapter createNavigationRuleTypeAdapter()

  This creates an adapter for a `NavigationRuleType`.

  Overrides:
    `createNavigationRuleTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `NavigationRuleType`

### createNullValueTypeAdapter

    public Adapter createNullValueTypeAdapter()

  This creates an adapter for a `NullValueType`.

  Overrides:
    `createNullValueTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `NullValueType`

### createOrderingTypeAdapter

    public Adapter createOrderingTypeAdapter()

  This creates an adapter for a `OrderingType`.

  Overrides:
    `createOrderingTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `OrderingType`

### createOrderingOrderingTypeAdapter

    public Adapter createOrderingOrderingTypeAdapter()

  This creates an adapter for a `OrderingOrderingType`.

  Overrides:
    `createOrderingOrderingTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `OrderingOrderingType`

### createOrderingOthersTypeAdapter

    public Adapter createOrderingOthersTypeAdapter()

  This creates an adapter for a `OrderingOthersType`.

  Overrides:
    `createOrderingOthersTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `OrderingOthersType`

### createPartialViewContextFactoryTypeAdapter

    public Adapter createPartialViewContextFactoryTypeAdapter()

  This creates an adapter for a `PartialViewContextFactoryType`.

  Overrides:
    `createPartialViewContextFactoryTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PartialViewContextFactoryType`

### createPhaseListenerTypeAdapter

    public Adapter createPhaseListenerTypeAdapter()

  This creates an adapter for a `PhaseListenerType`.

  Overrides:
    `createPhaseListenerTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PhaseListenerType`

### createPropertyClassTypeAdapter

    public Adapter createPropertyClassTypeAdapter()

  This creates an adapter for a `PropertyClassType`.

  Overrides:
    `createPropertyClassTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PropertyClassType`

### createPropertyExtensionTypeAdapter

    public Adapter createPropertyExtensionTypeAdapter()

  This creates an adapter for a `PropertyExtensionType`.

  Overrides:
    `createPropertyExtensionTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PropertyExtensionType`

### createPropertyNameTypeAdapter

    public Adapter createPropertyNameTypeAdapter()

  This creates an adapter for a `PropertyNameType`.

  Overrides:
    `createPropertyNameTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PropertyNameType`

### createPropertyResolverTypeAdapter

    public Adapter createPropertyResolverTypeAdapter()

  This creates an adapter for a `PropertyResolverType`.

  Overrides:
    `createPropertyResolverTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PropertyResolverType`

### createPropertyTypeAdapter

    public Adapter createPropertyTypeAdapter()

  This creates an adapter for a `PropertyType`.

  Overrides:
    `createPropertyTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PropertyType`

### createRedirectTypeAdapter

    public Adapter createRedirectTypeAdapter()

  This creates an adapter for a `RedirectType`.

  Overrides:
    `createRedirectTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `RedirectType`

### createRedirectViewParamTypeAdapter

    public Adapter createRedirectViewParamTypeAdapter()

  This creates an adapter for a `RedirectViewParamType`.

  Overrides:
    `createRedirectViewParamTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `RedirectViewParamType`

### createReferencedBeanClassTypeAdapter

    public Adapter createReferencedBeanClassTypeAdapter()

  This creates an adapter for a `ReferencedBeanClassType`.

  Overrides:
    `createReferencedBeanClassTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ReferencedBeanClassType`

### createReferencedBeanNameTypeAdapter

    public Adapter createReferencedBeanNameTypeAdapter()

  This creates an adapter for a `ReferencedBeanNameType`.

  Overrides:
    `createReferencedBeanNameTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ReferencedBeanNameType`

### createReferencedBeanTypeAdapter

    public Adapter createReferencedBeanTypeAdapter()

  This creates an adapter for a `ReferencedBeanType`.

  Overrides:
    `createReferencedBeanTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ReferencedBeanType`

### createRendererClassTypeAdapter

    public Adapter createRendererClassTypeAdapter()

  This creates an adapter for a `RendererClassType`.

  Overrides:
    `createRendererClassTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `RendererClassType`

### createRendererExtensionTypeAdapter

    public Adapter createRendererExtensionTypeAdapter()

  This creates an adapter for a `RendererExtensionType`.

  Overrides:
    `createRendererExtensionTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `RendererExtensionType`

### createRendererTypeAdapter

    public Adapter createRendererTypeAdapter()

  This creates an adapter for a `RendererType`.

  Overrides:
    `createRendererTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `RendererType`

### createRendererTypeTypeAdapter

    public Adapter createRendererTypeTypeAdapter()

  This creates an adapter for a `RendererTypeType`.

  Overrides:
    `createRendererTypeTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `RendererTypeType`

### createRenderKitClassTypeAdapter

    public Adapter createRenderKitClassTypeAdapter()

  This creates an adapter for a `RenderKitClassType`.

  Overrides:
    `createRenderKitClassTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `RenderKitClassType`

### createRenderKitFactoryTypeAdapter

    public Adapter createRenderKitFactoryTypeAdapter()

  This creates an adapter for a `RenderKitFactoryType`.

  Overrides:
    `createRenderKitFactoryTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `RenderKitFactoryType`

### createRenderKitIdTypeAdapter

    public Adapter createRenderKitIdTypeAdapter()

  This creates an adapter for a `RenderKitIdType`.

  Overrides:
    `createRenderKitIdTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `RenderKitIdType`

### createRenderKitTypeAdapter

    public Adapter createRenderKitTypeAdapter()

  This creates an adapter for a `RenderKitType`.

  Overrides:
    `createRenderKitTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `RenderKitType`

### createSmallIconTypeAdapter

    public Adapter createSmallIconTypeAdapter()

  This creates an adapter for a `SmallIconType`.

  Overrides:
    `createSmallIconTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SmallIconType`

### createSourceClassTypeAdapter

    public Adapter createSourceClassTypeAdapter()

  This creates an adapter for a `SourceClassType`.

  Overrides:
    `createSourceClassTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SourceClassType`

### createStateManagerTypeAdapter

    public Adapter createStateManagerTypeAdapter()

  This creates an adapter for a `StateManagerType`.

  Overrides:
    `createStateManagerTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `StateManagerType`

### createSuggestedValueTypeAdapter

    public Adapter createSuggestedValueTypeAdapter()

  This creates an adapter for a `SuggestedValueType`.

  Overrides:
    `createSuggestedValueTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SuggestedValueType`

### createSupportedLocaleTypeAdapter

    public Adapter createSupportedLocaleTypeAdapter()

  This creates an adapter for a `SupportedLocaleType`.

  Overrides:
    `createSupportedLocaleTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SupportedLocaleType`

### createSystemEventClassTypeAdapter

    public Adapter createSystemEventClassTypeAdapter()

  This creates an adapter for a `SystemEventClassType`.

  Overrides:
    `createSystemEventClassTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SystemEventClassType`

### createSystemEventListenerClassTypeAdapter

    public Adapter createSystemEventListenerClassTypeAdapter()

  This creates an adapter for a `SystemEventListenerClassType`.

  Overrides:
    `createSystemEventListenerClassTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SystemEventListenerClassType`

### createSystemEventListenerTypeAdapter

    public Adapter createSystemEventListenerTypeAdapter()

  This creates an adapter for a `SystemEventListenerType`.

  Overrides:
    `createSystemEventListenerTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SystemEventListenerType`

### createTagHandlerDelegateFactoryTypeAdapter

    public Adapter createTagHandlerDelegateFactoryTypeAdapter()

  This creates an adapter for a `TagHandlerDelegateFactoryType`.

  Overrides:
    `createTagHandlerDelegateFactoryTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TagHandlerDelegateFactoryType`

### createToViewIdTypeAdapter

    public Adapter createToViewIdTypeAdapter()

  This creates an adapter for a `ToViewIdType`.

  Overrides:
    `createToViewIdTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ToViewIdType`

### createValidatorClassTypeAdapter

    public Adapter createValidatorClassTypeAdapter()

  This creates an adapter for a `ValidatorClassType`.

  Overrides:
    `createValidatorClassTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValidatorClassType`

### createValidatorIdTypeAdapter

    public Adapter createValidatorIdTypeAdapter()

  This creates an adapter for a `ValidatorIdType`.

  Overrides:
    `createValidatorIdTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValidatorIdType`

### createValidatorTypeAdapter

    public Adapter createValidatorTypeAdapter()

  This creates an adapter for a `ValidatorType`.

  Overrides:
    `createValidatorTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValidatorType`

### createValueClassTypeAdapter

    public Adapter createValueClassTypeAdapter()

  This creates an adapter for a `ValueClassType`.

  Overrides:
    `createValueClassTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueClassType`

### createValueTypeAdapter

    public Adapter createValueTypeAdapter()

  This creates an adapter for a `ValueType`.

  Overrides:
    `createValueTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueType`

### createVariableResolverTypeAdapter

    public Adapter createVariableResolverTypeAdapter()

  This creates an adapter for a `VariableResolverType`.

  Overrides:
    `createVariableResolverTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `VariableResolverType`

### createViewHandlerTypeAdapter

    public Adapter createViewHandlerTypeAdapter()

  This creates an adapter for a `ViewHandlerType`.

  Overrides:
    `createViewHandlerTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ViewHandlerType`

### createApplicationExtensionTypeAdapter

    public Adapter createApplicationExtensionTypeAdapter()

  This creates an adapter for a `ApplicationExtensionType`.

  Overrides:
    `createApplicationExtensionTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ApplicationExtensionType`

### createConverterExtensionTypeAdapter

    public Adapter createConverterExtensionTypeAdapter()

  This creates an adapter for a `ConverterExtensionType`.

  Overrides:
    `createConverterExtensionTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ConverterExtensionType`

### createResourceBundleTypeAdapter

    public Adapter createResourceBundleTypeAdapter()

  This creates an adapter for a `ResourceBundleType`.

  Overrides:
    `createResourceBundleTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ResourceBundleType`

### createBaseNameTypeAdapter

    public Adapter createBaseNameTypeAdapter()

  This creates an adapter for a `BaseNameType`.

  Overrides:
    `createBaseNameTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `BaseNameType`

### createVarTypeAdapter

    public Adapter createVarTypeAdapter()

  This creates an adapter for a `VarType`.

  Overrides:
    `createVarTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `VarType`

### createViewDeclarationLanguageFactoryTypeAdapter

    public Adapter createViewDeclarationLanguageFactoryTypeAdapter()

  This creates an adapter for a `ViewDeclarationLanguageFactoryType`.

  Overrides:
    `createViewDeclarationLanguageFactoryTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ViewDeclarationLanguageFactoryType`

### createVisitContextFactoryTypeAdapter

    public Adapter createVisitContextFactoryTypeAdapter()

  This creates an adapter for a `VisitContextFactoryType`.

  Overrides:
    `createVisitContextFactoryTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `VisitContextFactoryType`

### createRenderKitExtensionTypeAdapter

    public Adapter createRenderKitExtensionTypeAdapter()

  This creates an adapter for a `RenderKitExtensionType`.

  Overrides:
    `createRenderKitExtensionTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `RenderKitExtensionType`

### createResourceHandlerTypeAdapter

    public Adapter createResourceHandlerTypeAdapter()

  This creates an adapter for a `ResourceHandlerType`.

  Overrides:
    `createResourceHandlerTypeAdapter` in class `FacesConfigAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ResourceHandlerType`

### getRootAdapterFactory

    public ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

### setParentAdapterFactory

    public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Overrides:
    `isFactoryForType` in class `FacesConfigAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### adapt

    public Adapter adapt(Notifier notifier,
                         java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

### addListener

    public void addListener(INotifyChangedListener notifyChangedListener)

  This adds a listener.

### removeListener

    public void removeListener(INotifyChangedListener notifyChangedListener)

  This removes a listener.

### fireNotifyChanged

    public void fireNotifyChanged(Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.